summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-03-18 20:33:42 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-03-18 20:34:13 +0100
commitfc475063daf44ee629009361401e64f14265504d (patch)
tree469fdc730cc14789e9033eec65bf7933b2197b26
parentmedia-libs/glm: Remove failing test (diff)
downloadgentoo-fc475063daf44ee629009361401e64f14265504d.tar.gz
gentoo-fc475063daf44ee629009361401e64f14265504d.tar.bz2
gentoo-fc475063daf44ee629009361401e64f14265504d.zip
net-ftp/filezilla: Bump to version 3.41.2
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--net-ftp/filezilla/Manifest1
-rw-r--r--net-ftp/filezilla/filezilla-3.41.2.ebuild83
2 files changed, 84 insertions, 0 deletions
diff --git a/net-ftp/filezilla/Manifest b/net-ftp/filezilla/Manifest
index 13176e72a78..123b37c416c 100644
--- a/net-ftp/filezilla/Manifest
+++ b/net-ftp/filezilla/Manifest
@@ -1,3 +1,4 @@
DIST FileZilla_3.39.0_src.tar.bz2 4995713 BLAKE2B d89aaa1f57187cd926ae1c4dd34624b404baa291334c652293d2dcfaedc4a5dffb401f8727b5d5d1fb483bdd503f35124efb75bdd7dd750d68e517fcb57fb8c0 SHA512 a0360634517ffd07878082abae024dbb4896035edcbd9abe6d8adfc9d37b73d01d95f6c5ca031175d88b6e4badefafcc43b5ddce3d9dbddde4deab5f0cc97e83
DIST FileZilla_3.40.0_src.tar.bz2 4997647 BLAKE2B 88ff2461d33369c435645f1dd5afa98c566141bf825e74898f870bd4c09cc7b47a70f605afbaf7be28855385812a28ea24303b6ec7f0ba605a793160c3b76027 SHA512 7aeb0c340111a47c435e8d8cbf379e83d2fc6c0a94038e085664df34c2fe1f8ef8496ea894f5e4cfd576d034e8935fe29661bb9eff9f22416032f45f5a66db2f
DIST FileZilla_3.41.1_src.tar.bz2 4994973 BLAKE2B 9aa8ad78125e69347055872790a13d46599415977d0f9064488efbdfc8cc052ac9e8ac4c03fe813f5947cb0b978db0872e45bf905bf02cd7d800fd52ca09b5f2 SHA512 6407ae883d10308529227a33ab4bfd36c564a68b322e896751ea21d106d04b0b8e095f1cb864063f59e0c64d0943f48a82cd63ae50c4be4561210659ba2f8ca0
+DIST FileZilla_3.41.2_src.tar.bz2 4994803 BLAKE2B 34f8331d3dfe3bdf483d234a0473074e17954b7d16abb7276ee6276221091f085c802d8cb0d397e00159b408d2737f5e23f2e50ad19d344c82472c09eea4dcd1 SHA512 c4b8284896942ba46f8f88fc5d60c6893c719e28ab94463848060850b6f9b2f4d3d13f580551dc3b21ab25ffc0cb1f43a2750500b5be2117952e14512a7ee40c
diff --git a/net-ftp/filezilla/filezilla-3.41.2.ebuild b/net-ftp/filezilla/filezilla-3.41.2.ebuild
new file mode 100644
index 00000000000..2cdd971b5a3
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.41.2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0-gtk3"
+
+inherit autotools flag-o-matic wxwidgets xdg
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
+HOMEPAGE="https://filezilla-project.org/"
+SRC_URI="https://download.filezilla-project.org/client/${MY_P}_src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+ >=dev-libs/nettle-3.1:=
+ >=dev-db/sqlite-3.7
+ >=dev-libs/libfilezilla-0.15.1
+ >=dev-libs/pugixml-1.7
+ >=net-libs/gnutls-3.4.15
+ >=x11-libs/wxGTK-3.0.4:${WX_GTK_VER}[X]
+ x11-misc/xdg-utils
+ dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/libtool-1.4
+ nls? ( >=sys-devel/gettext-0.11 )
+ test? ( >=dev-util/cppunit-1.13.0 )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DOCS=(AUTHORS ChangeLog NEWS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.22.1-debug.patch
+)
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if ! test-flag-CXX -std=c++14; then
+ eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
+ eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
+ eerror "to gcc-4.9 or an equivalent version supporting C++14."
+ die "Currently active compiler does not support -std=c++14"
+ fi
+ fi
+}
+
+src_prepare() {
+ setup-wxwidgets
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --disable-autoupdatecheck
+ --with-pugixml=system
+ $(use_enable nls locales)
+ $(use_with dbus)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+pkg_preinst() {
+ xdg_pkg_preinst
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+}